2020-12-12 04:34:05

by Po-Hsu Lin

[permalink] [raw]
Subject: [PATCHv2] selftests: test_vxlan_under_vrf: mute unnecessary error message

The cleanup function in this script that tries to delete hv-1 / hv-2
vm-1 / vm-2 netns will generate some uncessary error messages:

Cannot remove namespace file "/run/netns/hv-2": No such file or directory
Cannot remove namespace file "/run/netns/vm-1": No such file or directory
Cannot remove namespace file "/run/netns/vm-2": No such file or directory

Redirect it to /dev/null like other commands in the cleanup function
to reduce confusion.
Signed-off-by: Po-Hsu Lin <[email protected]>
---
tools/testing/selftests/net/test_vxlan_under_vrf.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tools/testing/selftests/net/test_vxlan_under_vrf.sh b/tools/testing/selftests/net/test_vxlan_under_vrf.sh
index 09f9ed9..534c8b7 100755
--- a/tools/testing/selftests/net/test_vxlan_under_vrf.sh
+++ b/tools/testing/selftests/net/test_vxlan_under_vrf.sh
@@ -50,7 +50,7 @@ cleanup() {
ip link del veth-tap 2>/dev/null || true

for ns in hv-1 hv-2 vm-1 vm-2; do
- ip netns del $ns || true
+ ip netns del $ns 2>/dev/null || true
done
}

--
2.7.4


2020-12-15 04:11:56

by patchwork-bot+netdevbpf

[permalink] [raw]
Subject: Re: [PATCHv2] selftests: test_vxlan_under_vrf: mute unnecessary error message

Hello:

This patch was applied to bpf/bpf-next.git (refs/heads/master):

On Fri, 11 Dec 2020 12:24:20 +0800 you wrote:
> The cleanup function in this script that tries to delete hv-1 / hv-2
> vm-1 / vm-2 netns will generate some uncessary error messages:
>
> Cannot remove namespace file "/run/netns/hv-2": No such file or directory
> Cannot remove namespace file "/run/netns/vm-1": No such file or directory
> Cannot remove namespace file "/run/netns/vm-2": No such file or directory
>
> [...]

Here is the summary with links:
- [PATCHv2] selftests: test_vxlan_under_vrf: mute unnecessary error message
https://git.kernel.org/bpf/bpf-next/c/0e12c0271887

You are awesome, thank you!
--
Deet-doot-dot, I am a bot.
https://korg.docs.kernel.org/patchwork/pwbot.html